// SPDX-License-Identifier: (GPL-2.0+ or MIT)
/*
 * Copyright (C) 2021 liujuan1@allwinnertech.com
 */

#ifndef _DT_BINDINGS_CLK_SUN55IW3_H_
#define _DT_BINDINGS_CLK_SUN55IW3_H_

#define CLK_PLL_CPU0		0
#define CLK_PLL_DDR		1
#define CLK_PLL_PERI0_PARENT	2
#define CLK_PLL_PERI0_2X	3
#define CLK_PERI0_DIV3		4
#define CLK_PLL_PERI0_800M	5
#define CLK_PLL_PERI0_480M	6
#define CLK_PLL_PERI0_600M	7
#define CLK_PLL_PERI0_400M	8
#define CLK_PLL_PERI0_300M	9
#define CLK_PLL_PERI0_200M	10
#define CLK_PLL_PERI0_160M	11
#define CLK_PLL_PERI0_16M	12
#define CLK_PLL_PERI0_150M	13
#define CLK_PLL_PERI0_25M	14
#define CLK_PLL_PERI1_PARENT	15
#define CLK_PLL_PERI1_2X	16
#define CLK_PLL_PERI1_800M	17
#define CLK_PLL_PERI1_480M	18
#define CLK_PLL_PERI1_600M	19
#define CLK_PLL_PERI1_400M	20
#define CLK_PLL_PERI1_300M	21
#define CLK_PLL_PERI1_200M	22
#define CLK_PLL_PERI1_160M	23
#define CLK_PLL_PERI1_150M	24
#define CLK_PLL_GPU		25
#define CLK_PLL_VIDEO0_2X	26
#define CLK_PLL_VIDEO0_1X	27
#define CLK_PLL_VIDEO1_2X	28
#define CLK_PLL_VIDEO1_1X	29
#define CLK_PLL_VIDEO2_2X	30
#define CLK_PLL_VIDEO2_1X	31
#define CLK_PLL_VE		32
#define CLK_PLL_VIDEO3_2X	33
#define CLK_PLL_VIDEO3_1X	34
#define CLK_PLL_AUDIO0_4X	35
#define CLK_PLL_AUDIO0_2X	36
#define CLK_PLL_AUDIO0_1X	37
#define CLK_PLL_AUDIO0_DIV_48M	38
#define CLK_PLL_NPU_2X		39
#define CLK_PLL_NPU_1X		40
#define CLK_CPU0_DIV		41
#define CLK_CPU			42
#define CLK_CPU_AXI		43
#define CLK_CPU_APB		44
#define CLK_CPU_PERI		45
#define CLK_DSU			46
#define CLK_TRACE		47
#define CLK_CPU1_DIV		48
#define CLK_DSU_PARENTS		49
#define CLK_AHB			50
#define CLK_APB0		51
#define CLK_APB1		52
#define CLK_MBUS		53
#define CLK_NSI			54
#define CLK_GIC			55
#define CLK_DE			56
#define CLK_DE0			57
#define CLK_DI			58
#define CLK_BUS_DI		59
#define CLK_G2D			60
#define CLK_BUS_G2D		61
#define CLK_CPU_CORE		62
#define CLK_GPU			63
#define CLK_CE			64
#define CLK_CE_SYS		65
#define CLK_BUS_CE		66
#define CLK_VE			67
#define CLK_BUS_VE		68
#define CLK_NPU			69
#define CLK_DMA			70
#define CLK_MSGBOX1		71
#define CLK_MSGBOX0		72
#define CLK_SPINLOCK		73
#define CLK_TIMER		74
#define CLK_DBGSYS		75
#define CLK_PWM1		76
#define CLK_PWM			77
#define CLK_IOMMU		78
#define CLK_TIMER0		79
#define CLK_TIMER1		80
#define CLK_TIMER2		81
#define CLK_TIMER3		82
#define CLK_TIMER4		83
#define CLK_TIMER5		84
#define CLK_DRAM		85
#define CLK_NAND_MBUS_GATE	86
#define CLK_NPU_MBUS_GATE	87
#define CLK_VID_IN_MBUS_GATE	88
#define CLK_VID_OUT_MBUS_GATE	89
#define CLK_CE_MBUS_GATE	90
#define CLK_VE_MBUS_GATE	91
#define CLK_DMA_MBUS_GATE	92
#define CLK_BUS_DRAM		93
#define CLK_NAND0		94
#define CLK_NAND0_CLK0		95
#define CLK_NAND0_CLK1		96
#define CLK_SMHC0		97
#define CLK_SMHC1		98
#define CLK_SMHC2		99
#define CLK_BUS_SMHC2		100
#define CLK_BUS_SMHC1		101
#define CLK_BUS_SMHC0		102
#define CLK_SYSDAP		103
#define CLK_UART7		104
#define CLK_UART6		105
#define CLK_UART5		106
#define CLK_UART4		107
#define CLK_UART3		108
#define CLK_UART2		109
#define CLK_BUS_UART1		110
#define CLK_BUS_UART0		111
#define CLK_TWI5		112
#define CLK_TWI4		113
#define CLK_TWI3		114
#define CLK_TWI2		115
#define CLK_TWI1		116
#define CLK_TWI0		117
#define CLK_CAN0		118
#define CLK_SPI0		119
#define CLK_SPI1		120
#define CLK_SPI2		121
#define CLK_SPIF		122
#define CLK_BUS_SPIF		123
#define CLK_BUS_SPI2		124
#define CLK_BUS_SPI1		125
#define CLK_BUS_SPI0		126
#define CLK_GMAC0_25M		127
#define CLK_GMAC0_25M_CLK_SRC	128
#define CLK_GMAC1_25M		129
#define CLK_GMAC1_25M_CLK_SRC	130
#define CLK_GMAC1		131
#define CLK_GMAC0		132
#define CLK_IRRX		133
#define CLK_BUS_IRRX		134
#define CLK_IRTX		135
#define CLK_BUS_IRTX		136
#define CLK_BUS_GPADC0		137
#define CLK_BUS_GPADC1		138
#define CLK_THS			139
#define CLK_USB			140
#define CLK_DCXO12M		141
#define CLK_USB0		142
#define CLK_USB1		143
#define CLK_USBOTG0		144
#define CLK_USBEHCI1		145
#define CLK_USBEHCI0		146
#define CLK_USBOHCI1		147
#define CLK_USBOHCI0		148
#define CLK_LRADC		149
#define CLK_PCIE_REF_ALT	150
#define CLK_PCIE_REF		151
#define CLK_PCIE		152
#define CLK_DPSS_TOP0		153
#define CLK_DPSS_TOP1		154
#define CLK_HDMI_24M		155
#define CLK_HDMI_CEC		156
#define CLK_HDMI		157
#define CLK_DSI0		158
#define CLK_DSI1		159
#define CLK_BUS_DSI1		160
#define CLK_BUS_DSI0		161
#define CLK_VO0_TCONLCD0	162
#define CLK_VO0_TCONLCD1	163
#define CLK_VO1_TCONLCD0	164
#define CLK_COMBPHY0		165
#define CLK_COMBPHY1		166
#define CLK_BUS_VO1_TCONLCD0	167
#define CLK_BUS_VO0_TCONLCD1	168
#define CLK_BUS_VO0_TCONLCD0	169
#define CLK_TCONTV		170
#define CLK_TCONTV1		171
#define CLK_BUS_TCONTV1		172
#define CLK_BUS_TCONTV		173
#define CLK_LEDC		174
#define CLK_EDP			175
#define CLK_BUS_LEDC		176
#define CLK_CSI			177
#define CLK_CSI_MASTER0		178
#define CLK_CSI_MASTER1		179
#define CLK_CSI_MASTER2		180
#define CLK_CSI_MASTER3		181
#define CLK_BUS_CSI		182
#define CLK_ISP			183
#define CLK_DSP			184
#define CLK_CPUS_HCLK_GATE	185
#define CLK_SPIF_MBUS_AHB_GATE	186
#define CLK_GMAC1_MBUS_AHB_GATE	187
#define CLK_GMAC0_MBUS_AHB_GATE	188
#define CLK_SMHC2_MBUS_AHB_GATE	189
#define CLK_SMHC1_MBUS_AHB_GATE	190
#define CLK_SMHC0_MBUS_AHB_GATE	191
#define CLK_USB_MBUS_AHB_GATE	192
#define CLK_GMAC1_AHB_GATE	193
#define CLK_GMAC0_AHB_GATE	194
#define CLK_SMHC2_AHB_GATE	195
#define CLK_SMHC1_AHB_GATE	196
#define CLK_SMHC0_AHB_GATE	197
#define CLK_USB_AHB_GATE	198
#define CLK_VID_OUT_AHB_GATE	199
#define CLK_VID_IN_AHB_GATE	200
#define CLK_VE_AHB_GATE		201
#define CLK_NPU_AHB_GATE	202
#define CLK_RES_DCAP_24M	203
#define CLK_USB_24M		204
#define CLK_FANOUT_25M		205
#define CLK_FANOUT_16M		206
#define CLK_FANOUT_12M		207
#define CLK_FANOUT_24M		208
#define CLK_CLK27M_FANOUT	209
#define CLK_CLK_FANOUT		210
#define CLK_FANOUT2		211
#define CLK_FANOUT1		212
#define CLK_FANOUT0		213
#define CLK_MAX_NO		(CLK_FANOUT0 + 1)

#endif /* _DT_BINDINGS_CLK_SUN55IW3_H_ */
